We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent cbb0cab commit eda4815Copy full SHA for eda4815
scripts/make_release.sh
@@ -1,6 +1,18 @@
1
-#!/usr/bin/env bash
2
-./scripts/uninstall.sh
3
-./scripts/clean_up.sh
4
-python3 setup.py register
5
-python3 setup.py sdist bdist_wheel
6
-twine upload dist/*
+#!/bin/bash
+
+set -e
+if [ $# -ne 1 ]; then
+ echo "Usage: make_release.sh VERSION"
7
+ exit 1
8
+fi
9
10
+VERSION=$1
11
12
+sed "s/__version__ = .*/__version__ = \"$VERSION\"/g" -i podman_compose.py
13
+git add podman_compose.py
14
+git commit -m "Release $VERSION"
15
16
+git tag "v$VERSION" -m "v$VERSION" -s
17
18
+git push ssh://github.com/containers/podman-compose main "v$VERSION"
scripts/make_release_upload.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+./scripts/uninstall.sh
+./scripts/clean_up.sh
+python3 setup.py register
+python3 setup.py sdist bdist_wheel
+twine upload dist/*
0 commit comments